<template>
  <div>
    <FlowBox ref="FlowBox" />
  </div>
</template>

<script>
import FlowBox from '@/views/workFlow/components/FlowBox'

export default {
  name: 'initiate',
  components: { FlowBox },
  data() {
    return {}
  },
  created() {
    this.addOrUpdateHandle(JSON.parse(this.$route.query.data))
  },
  methods: {
    addOrUpdateHandle(data) {
      this.$nextTick(() => {
        this.$refs.FlowBox.init(data)
      })
    }
  }
}
</script>

<style scoped></style>
